Page MenuHomePhabricator

UrlShortener: Add a link to the toolbox with the shortened url
Closed, ResolvedPublic

Description

Add a link to the toolbox that said "Copy short url" which would create an OOUI PopupWidget with a progress bar in it, trigger API request, and then replace the progress bar with a read only text input to copy.

Details

Related Gerrit Patches:
mediawiki/extensions/UrlShortener : masterAdd link to toolbar to quickly copy short URLs

Event Timeline

Legoktm created this task.Jul 27 2015, 11:00 PM
Legoktm raised the priority of this task from to Needs Triage.
Legoktm updated the task description. (Show Details)
Legoktm added subscribers: yuvipanda, Legoktm, Aklapper.
Prtksxna updated the task description. (Show Details)Jul 28 2015, 2:15 PM
Prtksxna set Security to None.

Change 227414 had a related patch set uploaded (by Prtksxna):
[WIP] Add link to toolbar to quickly copy short URLs

https://gerrit.wikimedia.org/r/227414

Change 227414 merged by jenkins-bot:
Add link to toolbar to quickly copy short URLs

https://gerrit.wikimedia.org/r/227414

Legoktm closed this task as Resolved.Aug 13 2015, 4:31 AM
Legoktm claimed this task.

Is this feature available and enabled? I can't see the link in the English Wikipedia's sidebar Toolbox.
If not, should we re-open this task, or T222360: Add new "button" for Wiki URL shortener in the menu in Wikipedia instead?